package com.ruoyi.ai.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiRechargeGiftRecord;

/**
 * 充值赠送记录Mapper接口
 *
 * @author shi
 * @date 2025-11-20
 */
public interface AiRechargeGiftRecordMapper extends BaseMapper<AiRechargeGiftRecord> {
    int deleteAiRechargeGiftRecordByIds(Long[] ids);

    int deleteAiRechargeGiftRecordById(Long id);

    List<AiRechargeGiftRecord> selectAiRechargeGiftRecordList(AiRechargeGiftRecord aiRechargeGiftRecord);
}
